Subject: bug#24759: 25.1.50; electric-quote-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 10:00:28 +0300

> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sat, 22 Oct 2016 20:55:25 -0700
> 
> As I understand it, this subthread is about what Emacs should do in a unibyte 
> locale that isn't the C locale. It's not clear to me why these locales (which 
> are no longer that important) should be treated differently from a unibyte C 
> locale for this sort of situation.

Because a C locale basically means you have no non-trivial default
encoding.  IOW, your default is 'undecided'.  In such cases, we prefer
UTF-8 automatically if it can do the job (and it usually can), since
the user doesn't have any specific preferences.

So I think we should indeed remove the electric--insertable-p test in
electric-quote-mode, on the emacs-25 branch.

A related change (which IMO should be done on master) is to make UTF-8
be the first encoding in the sorted list of encodings Emacs offers
when the defaults cannot cope with some characters in a buffer about
to be saved or sent to a subprocess.  But this related change is not a
prerequisite for removing the electric--insertable-p test, as it is a
general improvement in the Emacs guesswork, not something specific to
the issue at hand in this bug report.